更新 educationClass
本文内容
命名空间:microsoft.graph
更新 educationClass 对象 的属性。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
不支持。
委派(个人 Microsoft 帐户)
不支持。
应用程序
EduRoster.ReadWrite.All
HTTP 请求
PATCH /education/classes/{id}
标头
值
Authorization
Bearer {token}。必需。
Content-Type
application/json
请求正文
在请求正文中,提供应更新的相关字段的值。 请求正文中不包括的现有属性将保留其以前的值,或根据对其他属性值的更改重新计算。 为了获得最佳性能,请勿加入尚未更改的现有值。
属性
类型
说明
displayName
String
课程名称。
mailNickname
String
向所有成员发送电子邮件的邮件名称(如果已启用)。
说明
String
课程说明。
createdBy
identitySet
创建了课程的实体
classCode
String
学校用于标识课程的课程代码。
externalId
String
来自同步系统的课程 ID。
externalSource
educationExternalSource
此课程的创建方式。 可能的值包括: sis 、 manual
externalSourceDetail
String
生成此资源的外部源的名称。
grade
String
课程的年级。
term
educationTerm
此课程的学期。
响应
如果成功,此方法会在响应正文中返回 200 OK 响应代码和更新的 educationClass 对象。
示例
请求
下面展示了示例请求。
PATCH https://graph.microsoft.com/v1.0/education/classes/{class-id}
Content-type: application/json
{
"description": "History - World History 1",
"displayName": "World History Level 1",
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var educationClass = new EducationClass
{
Description = "History - World History 1",
DisplayName = "World History Level 1"
};
await graphClient.Education.Classes["{educationClass-id}"]
.Request()
.UpdateAsync(educationClass);
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
const educationClass = {
description: 'History - World History 1',
displayName: 'World History Level 1',
};
await client.api('/education/classes/{class-id}')
.update(educationClass);
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/education/classes/{class-id}"]]];
[urlRequest setHTTPMethod:@"PATCH"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphEducationClass *educationClass = [[MSGraphEducationClass alloc] init];
[educationClass setDescription:@"History - World History 1"];
[educationClass setDisplayName:@"World History Level 1"];
NSError *error;
NSData *educationClassData = [educationClass getSerializedDataWithError:&error];
[urlRequest setHTTPBody:educationClassData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
EducationClass educationClass = new EducationClass();
educationClass.description = "History - World History 1";
educationClass.displayName = "World History Level 1";
graphClient.education().classes("{class-id}")
.buildRequest()
.patch(educationClass);
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewEducationClass()
description := "History - World History 1"
requestBody.SetDescription(&description)
displayName := "World History Level 1"
requestBody.SetDisplayName(&displayName)
educationClassId := "educationClass-id"
graphClient.Education().ClassesById(&educationClassId).Patch(requestBody)
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
Import-Module Microsoft.Graph.Education
$params = @{
Description = "History - World History 1"
DisplayName = "World History Level 1"
}
Update-MgEducationClass -EducationClassId $educationClassId -BodyParameter $params
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.educationClass",
"id": "64ef8ce5-8ce5-64ef-e58c-ef64e58cef64",
"displayName": "String",
"mailNickname": "String",
"description": "String",
"createdBy": {
"@odata.type": "microsoft.graph.identitySet"
},
"classCode": "String",
"externalName": "String",
"externalId": "String",
"externalSource": "String",
"externalSourceDetail": "String",
"grade": "String",
"term": {
"@odata.type": "microsoft.graph.educationTerm"
}
}